commit af56cbafad
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jul 17 13:45:32 2018 -0700

    Release 2.2.16.
    
    Change-Id: I442ad71da8a3f60979dffd392e2d834f3bdadd80

commit 7a5fc6c151
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jul 16 17:46:25 2018 -0700

    Updates for 2.2.16.
    
    Update the release notes. Copy over gen-bugnote from master.
    
    Change-Id: I5fd5c8d512adf7fe7c8aaf6dc3bba1966ffa9413
    Reviewed-on: https://code.wireshark.org/review/28745
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit dbd4bc87d0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jul 16 13:17:27 2018 +0200

    wmem: make wmem_strsplit behave more like g_strsplit
    
    In the past "g_strsplit" users were converted to use "wmem_strsplit" to
    avoid memory leaks when dissection fails. The semantics were slightly
    different though. When the DNS dissector tried to split the string "."
    using delimiter ".", it would previously (unexpectedly) receive an empty
    vector (and crash). Now it will receive a vector with one element.
    
    Additionally, suggest that users of wmem_strsplit with a NULL allocator
    use g_strsplit instead, otherwise it will leak the elements.
    
    Bug: 14980
    Change-Id: I408dfdb0ffa9e24ccdba69c8ee095abea72f6feb
    Reviewed-on: https://code.wireshark.org/review/28724
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 3d1e3023d2300fe558c6b03066b2b6497f5b02b0)
    Reviewed-on: https://code.wireshark.org/review/28738

commit d7a29faad1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 16 16:06:48 2018 +0200

    Lua: add include/lua-5.1 and include/lua-5.2 to CMake path suffixes
    
    Bug: 14983
    Change-Id: I8be206ace7f61c62e2e42bc53841067ec39e3a0a
    Reviewed-on: https://code.wireshark.org/review/28726
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: João Valverde <j@v6e.pt>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 40d180ec6d3b1154bc314d14eac90822feed7e33)
    Reviewed-on: https://code.wireshark.org/review/28731

commit 823c9b73f5
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jul 15 16:09:58 2018 +0200

    Qt / About Dialog: fix compilation with Qt 5.11
    
    git master is unaffected since v2.5.0rc0-1827-g1ecad01420 includes QMenu
    which includes QAction as well.
    
    Change-Id: I481a8c125e2ef191eb52d9b183fa2152b04bb891
    Reviewed-on: https://code.wireshark.org/review/28710
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 8155590aeaa359bc02b2031f2f65cbf0c5b20736)
    Reviewed-on: https://code.wireshark.org/review/28723

commit a92596c6b6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 15 13:50:27 2018 -0700

    Update the comment giving I-D URLs.
    
    Change-Id: Id2ec0092369083b7bd6951c7121ac885c067ac1f
    Reviewed-on: https://code.wireshark.org/review/28715
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 16860320e1751ca04c5416a7995a229838e95f1b)
    Reviewed-on: https://code.wireshark.org/review/28721

commit 44e43331f3
Author: Yuri Chislov <yuri.chislov@gmail.com>
Date:   Tue Mar 27 09:24:36 2018 +0000

    WCCP: use proto_tree_add_ipv4_format() if ipv4 used
    
    Bug: 14573
    Change-Id: I429477940d8e7a827a3f35630be64a7b06869d59
    Reviewed-on: https://code.wireshark.org/review/26661
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 8f2b1fdc38288a62bbaf0f2d00f2e523de3668db)
    Reviewed-on: https://code.wireshark.org/review/28718
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 09547b80bc
Author: Roland Knall <rknall@gmail.com>
Date:   Wed Apr 25 10:28:30 2018 +0200

    Qt: Fix various missing header includes
    
    Qt 5.11 seems to have changed the include dependencies, so adding those, that are missing
    
    Change-Id: I2b0482f7554467d6981be65bfd3fea1a3e118976
    Reviewed-on: https://code.wireshark.org/review/27145
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Roland Knall <rknall@gmail.com>
    (cherry picked from commit b8e8aa87f43c12ad564426b3359f593305cd45a1)
    Reviewed-on: https://code.wireshark.org/review/28709
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 60f7eed4fc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 15 08:36:19 2018 +0000

    [Automatic update for 2018-07-15]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I0a70a0a19cf9c84cea121efbbf054d0fe6c9173c
    Reviewed-on: https://code.wireshark.org/review/28707
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5c9dbad038
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 9 21:45:33 2018 -0700

    If we explicitly started a new page, print a column header line if necessary.
    
    Change-Id: I9be7b41ce5ec5ece502035d0ca7c0fbb3eb3b37d
    Ping-Bug: 14960
    Reviewed-on: https://code.wireshark.org/review/28672
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3e2d3837ddbc2fcebc643f080111d78149e2dcbd)
    Reviewed-on: https://code.wireshark.org/review/28675

commit 3f0eda68a6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 9 21:10:51 2018 -0700

    Expand another comment to explain why we're ignoring empty lines.
    
    Change-Id: Iafaeaffa1004ae741bdb4c6be91528f65aa06cfd
    Reviewed-on: https://code.wireshark.org/review/28668
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 325b033ca4f307846ac2cc8d42899c2e51cbd27b)
    Reviewed-on: https://code.wireshark.org/review/28671

commit ac777c5a39
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 9 20:41:07 2018 -0700

    Note that this code is checking for being on a new page.
    
    Change-Id: Ib92292834bc00487958ff62584025e512de6d755
    Reviewed-on: https://code.wireshark.org/review/28664
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c29c043cdcfe6b381e9ef57c796c94783f3b32ef)
    Reviewed-on: https://code.wireshark.org/review/28667

commit 8e91606730
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 8 08:43:47 2018 +0000

    [Automatic update for 2018-07-08]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Ibc12e976c6447f9360ec1b21a1f7ce8a39819286
    Reviewed-on: https://code.wireshark.org/review/28656
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 80a9e7f93f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 5 17:10:58 2018 -0700

    Change the print preview if "include column headings" changes.
    
    While we're at it, sort some method declarations and definitions, to
    group the top-level summary/details/bytes yes/no options together, with
    two groups of suboptions for summary and details below.
    
    Bug: 14945
    Change-Id: Id06dd64e44b18b13e2131482edef46aee3efbd63
    Reviewed-on: https://code.wireshark.org/review/28620
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d8df975e2e120c75dfae3c6624de127b5a72b592)
    Reviewed-on: https://code.wireshark.org/review/28623

commit d458f73a6e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 5 16:48:53 2018 -0700

    Add a "Include column headings" checkbox in export dissections and print.
    
    Bug: 14945
    Change-Id: I1c5ed0bc7e738a5c8d65c09f25686549e1e6dd67
    Reviewed-on: https://code.wireshark.org/review/28615
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d7ce2bece8e9c0048f25bf60ab2b017079db7940)
    Reviewed-on: https://code.wireshark.org/review/28619

commit bc621b7124
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 4 15:51:29 2018 -0700

    Distinguish between "reserved for implementation" and "reserved for future use".
    
    Some flags in the connectionless PDU header are "reserved for
    implementation", which presumably means an implementation can set them
    to 0 or 1 and use it to send information to a compatible implementation;
    others are "reserved for future use" and "must be set to 0".
    
    Don't test the "reserved for implementation" flags in the heuristic, and
    show them as "Reserved for implementation" and show the others as
    "Reserved for future use (MBZ)".
    
    Bug: 14942
    Change-Id: Iff40f155e057301096fec1dbb68f71d041508ff1
    Reviewed-on: https://code.wireshark.org/review/28598
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9e480c51bb64bf002a1cd28e9291b05b80049936)
    Reviewed-on: https://code.wireshark.org/review/28601

commit 4bd098cb75
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 3 15:40:45 2018 -0700

    CaptureFile.fileTitle() is for display, not for file name processing.
    
    Don't use CaptureFile.fileTitle() if you're constructing a pathname; use
    it only if you're constructing a window title.
    
    Change-Id: I40f225ddb07be2f7dc3ae03108dae816846f20c7
    Reviewed-on: https://code.wireshark.org/review/28582
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d76db1de783dca7fd99d7e663d7be4031ae426de)
    Reviewed-on: https://code.wireshark.org/review/28585

commit d07f7ce247
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 1 08:55:01 2018 +0000

    [Automatic update for 2018-07-01]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I0f96e220341b34ac005a3301f2f5ca9de8660323
    Reviewed-on: https://code.wireshark.org/review/28550
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ce35a7eab6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 28 13:34:46 2018 -0700

    Fix indentation.
    
    Change-Id: I0ef6d0a9a957e645aa7f7e507609b9195fe9c19f
    Reviewed-on: https://code.wireshark.org/review/28520
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 411c5e9dcfa78d5eeadcdc357cb99ffb7b423ce2)
    Reviewed-on: https://code.wireshark.org/review/28526

commit 5cc13c6076
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 28 00:31:31 2018 -0700

    Make white space consistent.
    
    Change-Id: I19053ecc53b7f0d2b4dfb0462f381f7d28bb578a
    Reviewed-on: https://code.wireshark.org/review/28502
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bb47336086a26bdee4c8d75ab7a999229da453d8)
    Reviewed-on: https://code.wireshark.org/review/28523

commit 0d8b2c7b62
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 26 15:52:11 2018 -0700

    prefs: fix crash when importing old filter expression preference
    
    When the filter label was missing, it would result in a crash
    (use-after-free) while reading the next expression. For example:
    
        gui.filter_expressions.label: Not-Junk
        gui.filter_expressions.expr: tcp.flags.reset==1
        # note: missing label preference
        gui.filter_expressions.expr: dns
    
    While at it, do not duplicate the filter expression,
    "filter_expression_new" has always been copying it.
    
    Change-Id: I980fd720c9a04b679a71dd2e7e8bf5e53c72ac43
    Fixes: 1a046d693b ("Added Filter Toolbar Save functionality.")
    Bug: 11648
    Reviewed-on: https://code.wireshark.org/review/28471
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit d3e3c00fbbe205f16fc279068f1cb989259c3b04)
    Reviewed-on: https://code.wireshark.org/review/28482
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9b786a0af5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 26 07:09:58 2018 -0700

    Q931: do not tap packet if no packet info is present
    
    Follow-up of gd08a53a7b9
    
    Change-Id: Ice15c7cf97c2d84e80e39944012c54947517232f
    Reviewed-on: https://code.wireshark.org/review/28452
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Tomáš Kukosa <tomas.kukosa@ixperta.com>
    Tested-by: Petri Dish Buildbot
    (cherry picked from commit 328f5cf440e1f5ca1f9329d4f856dc31d23909ef)
    Reviewed-on: https://code.wireshark.org/review/28455

commit c7f3231930
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 20 14:53:52 2017 -0700

    More precise error message.
    
    "Missing newline after '}'" suggests either that the "}" is the line
    character in the file or that it's followed by a character other than a
    newline.  What it actually appears to mean is "you didn't put a blank
    line between one author entry and the next author entry".
    
    Change-Id: Ic0e4dd02f04680ab84fbfcf1183c911d049ee2d2
    Reviewed-on: https://code.wireshark.org/review/22746
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit fe8508b8b359689c927bb062ee37f79c52930b19)
    Reviewed-on: https://code.wireshark.org/review/28427
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>

commit 5adac770a8
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Mon Jun 25 13:12:41 2018 +0200

    Fix Perl warning
    
    Backport the doc/make-authors-short.pl portion of
    I76bc1a30714dafd703342d2d430dc1c90cf2bf82 to master-2.2 as well.
    
    To be followed up by Ic0e4dd02f04680ab84fbfcf1183c911d049ee2d2.
    
    Change-Id: I6ef3f526d46f43b9b6fef65599939ee26eb7855a
    Signed-off-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-on: https://code.wireshark.org/review/28424
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 68a929ec11
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 24 08:40:40 2018 +0000

    [Automatic update for 2018-06-24]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Idc121937ced3676da8f9aeb7867754b05861bd46
    Reviewed-on: https://code.wireshark.org/review/28409
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 36af43dbb7
Author: Darius Davis <darius@vmware.com>
Date:   Sat May 12 17:30:48 2018 +1000

    BGP: Validate length of Path Attribute records.
    
    Bug 13741 showed a case where the BGP dissector's failure to validate the
    length of the Path Attribute record allowed a pathological BGP UPDATE packet to
    generate more than one million items in the protocol tree by repeatedly
    dissecting certain segments of the packet.
    
    It's easy enough to detect when the Path Attribute length cannot be valid, so
    let's do so.  When the condition arises, let's raise an Expert Info error in
    the same style and format as used elsewhere in the same routine, and abandon
    dissection of the Path Attributes list.
    
    With this check in place, an incorrect length computation is revealed at a
    callsite.  This would only have prevented a small (less than 5 bytes) Path
    Attribute from being dissected if it was at the very end of the Path Attributes
    list, but the bounds checking added in this change makes this problem much more
    apparent, so we fix the length computation while we're here.
    
    Testing Done: Built wireshark on Linux amd64.  Using bgp.pcap from the Sample
       Captures page on the wiki, verified that the dissection of the UPDATE
       packets were unaltered by this fix.  Using the capture attached to bug 13741
       (clusterfuzz-testcase-minimized-6689222578667520.pcap), verified that the
       packet no longer triggers the "too many items" exception, instead we see
       an Expert Info for each oversized Path Attribute length, and eventually an
       exception for "length of contained item exceeds length of containing item".
       30,000 iterations of fuzz test with bgp.pcap as input, and many iterations
       of randpkt-test too.  Crafted a packet with a 3-byte ATOMIC_AGGREGATE Path
       Attribute at the end of the Path Attributes list; Before this change, an
       exception is raised during dissection, but after this change it is dissected
       correctly.
    
    Bug: 13741
    Change-Id: I80f506b114a61e5b060d93b59bed6b94fb188b3e
    Reviewed-on: https://code.wireshark.org/review/27466
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6e88943d0eabc8c8bc11334ba4213ec64129575c)
    Reviewed-on: https://code.wireshark.org/review/28403
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a3b0f8504f
Author: Your Name <you@example.com>
Date:   Fri Jun 22 14:45:59 2018 +0930

    editcap: ifix time shift with useconds carry
    
    time shift to a whole number of seconds need to carry the seconds
    
    Change-Id: I188d915bca8f86a2cc19fc603bf472f461e8beea
    Reviewed-on: https://code.wireshark.org/review/28372
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7728a336ed3b7684b08e66fa58d92325dfa1ee38)
    Reviewed-on: https://code.wireshark.org/review/28379
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f6ed44ca95
Author: Erika Szelleova <szelleerika@gmail.com>
Date:   Sun Jun 17 18:39:36 2018 +0200

    HTTP: fix in desegmentation of HEAD requests and responses
    
    Previously HTTP message bodies following a HEAD request in the same conversation
    were not desegmented, resulting in spurious "Continuation" messages and failure
    to reassemble HTTP bodies. Fix this by properly taking the current HTTP message
    type (request or response) into account.
    
    Bug: 14793
    Change-Id: I1ffb052468cf414b73243447138466aca47db3e6
    Reviewed-on: https://code.wireshark.org/review/28312
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 69fc3d8f3a9cdf3cb82b897107da52abda2930d3)
    Reviewed-on: https://code.wireshark.org/review/28358

commit 7b9dcc80e7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 17 08:37:41 2018 +0000

    [Automatic update for 2018-06-17]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I56088b9d036fbecab4f0775b3d8c26ba7aceabc9
    Reviewed-on: https://code.wireshark.org/review/28308
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2e8a1f790b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 15 15:03:43 2018 -0700

    Put the entire server response into the Info column as is.
    
    Don't assume that the 3-digit code we got was followed by a blank, and
    display the code followed by a blank followed by the parameters..
    Instead, just put the raw text of the entire line into the Info column.
    
    Bug: 14878
    Change-Id: I1e081366bf859723158a36f10e86614fe52f124d
    Reviewed-on: https://code.wireshark.org/review/28292
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 2d4b50fc3d0bbb8a87ac613e050d671d7c5fd80e)
    Reviewed-on: https://code.wireshark.org/review/28295

commit 038cd225bf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 13 12:12:38 2018 +0200

    HTTP2: prevent a segmentation fault if HTTP2 dissector was not called on first pass
    
    With HTTP2 heuristics to identify the conversation, a packet can be
    skipped on first pass and then decoded as HTTP2 on subsequent ones.
    Check that header data is available before attempting header
    decompression.
    
    Bug: 14869
    Change-Id: I8ef7669ca33835b509acb38d797e33d6167a1bd1
    Reviewed-on: https://code.wireshark.org/review/28257
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e281ca6f83560a24ac1d490dcca9fe49b03bbdcd)
    Conflicts:
            epan/dissectors/packet-http2.c
    Reviewed-on: https://code.wireshark.org/review/28260
    (cherry picked from commit 169d271f1f03a5b21d13579995421599a8535def)
    Reviewed-on: https://code.wireshark.org/review/28261

commit 014bcb1140
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 16:02:32 2018 -0700

    Make sure *both* sides are unsigned.
    
    Change-Id: Id25ea93aee888eda665f52da4c00d75970ee69e8
    Reviewed-on: https://code.wireshark.org/review/28253
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 69ad89caa96f004513f5191b1f49c513a21f1a7b)
    Reviewed-on: https://code.wireshark.org/review/28256

commit 807ab71c10
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 15:38:22 2018 -0700

    Try again to fix the signed vs. unsigned comparison warning.
    
    Change-Id: I97dae4b6325fe5fe952c579e1d1ab3f0b37f461a
    Reviewed-on: https://code.wireshark.org/review/28249
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0cc092d4b13b1dc890e44100a691bd309dc24261)
    Reviewed-on: https://code.wireshark.org/review/28252

commit 70095e6fb3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 15:13:37 2018 -0700

    Fix signed vs. unsigned comparison warning.
    
    (In retrospect, signed offsets probably were the wrong choice; we
    rarely, if ever, use them to signify offsets from the end of the packet.
    Let's not do so any more in the future.)
    
    Change-Id: I7ace539be8bf927e21148c34b71e9c2b7535581e
    Reviewed-on: https://code.wireshark.org/review/28245
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 96c4655ae088c5162799df3b799696b6dece814f)
    Reviewed-on: https://code.wireshark.org/review/28248

commit 8d694ba75a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 14:30:50 2018 -0700

    Add some length checks, remove a DISSECTOR_ASSERT().
    
    Do more checks to make sure we don't run past the end of the data we're
    handed, and don't do a DISSECTOR_ASSERT(), as there may well be packets
    that don't have enough data to pass the assertion - that was causing
    some errors to show up in the 2.6 buildbot when doing 802.11 decryption
    tests.  Those errors should instead be reported as "sorry, we can't do
    decryption" errors by the decryption code.
    
    (XXX - the 802.11 *dissector* should probably be extracting the relevant
    fields and doing the relevant checks, and hand the data to the
    decryption code, so that we don't duplicate 802.11 frame parsing with
    code that might not do as much necessary work as the 802.11 dissector.)
    
    Tweak some comments while we're at it.
    
    Change-Id: I1d230e07cec2fca8c23f265b5875a0bf83f79432
    Reviewed-on: https://code.wireshark.org/review/28240
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 871e96462750b616ad8cc1063c84b844c1a8bfc4)
    Reviewed-on: https://code.wireshark.org/review/28244

commit 59377465b6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 15:07:52 2018 -0700

    Fix backport.
    
    Change-Id: I9af154e1458d6d6f4bfed8d9a00be3c281965a2a
    Reviewed-on: https://code.wireshark.org/review/28243
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ed5a6406b0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 12 19:19:35 2018 +0200

    BT Common: fix btcommon.eir_ad.entry.le_role filter
    
    Bug: 14868
    Change-Id: Ia52764c45d509a27545e266328702b79db3985b7
    Reviewed-on: https://code.wireshark.org/review/28226
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 169ff5a7f58ead93ee87df5078d1fd11e7a78b0c)
    Reviewed-on: https://code.wireshark.org/review/28238

commit 57651b0cb7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 11:23:32 2018 -0700

    Don't let randpkt write packets libwiretap can't read.
    
    Wiretap imposes an arbitrary limit on the maximum packet size, to
    prevent it from trying to allocate a huge packet buffer and possibly
    running out of address space on ILP32 platforms or just eating too much
    backing store on LP64/LLP64 platforms.  Don't write packets with a
    length greater than that limit.
    
    Bug: 14107
    Change-Id: Iba4fe3b008b044215647ba3f838ae7b3ac66c585
    Reviewed-on: https://code.wireshark.org/review/28232
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4e7f4881d2cf6fe69de0661c2441e82dd525e59e)
    Reviewed-on: https://code.wireshark.org/review/28235

commit 617f319760
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 12 13:56:16 2018 +0200

    BT Common: use bluetooth_address_type_vals with btcommon.eir_ad.entry.le_bd_addr.type
    
    Bug: 14866
    Change-Id: I087469dabe0cebc2a94e70953a7ec00c48d72862
    Reviewed-on: https://code.wireshark.org/review/28218
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1568ea952b5d733be7aab5372a847c3890ae21ee)
    Reviewed-on: https://code.wireshark.org/review/28225
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6c44312f46
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 12 10:47:36 2018 -0700

    Clean up handling of counted blobs of bytes.
    
    Don't treat the count+blob as itself a blob of bytes; use FT_NONE.
    Create it with an unknown length (-1, meaning "to end of packet, for
    now"), and set its length once we've finished dissecting it.  Dissect
    the raw bytes of a prefixed-bytes item regardless of whether we're
    building a protocol tree or not.
    
    This means we do a better job of handling a too-large length; instead of
    overflowing the offset, we throw an exception and stop dissecting, so we
    don't run the risk of looping infinitely.
    
    Bug: 14841
    Change-Id: I593be9b6ba9aa15d8529f96458e53b85ace6402a
    Reviewed-on: https://code.wireshark.org/review/28228
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a03eacc7aabd04a6fd0db978e0d7597220ac0515)
    Reviewed-on: https://code.wireshark.org/review/28231

commit 203b37f517
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 10 08:38:59 2018 +0000

    [Automatic update for 2018-06-10]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I6acf1f48f6f04f76ab09aba8acadfb54a225d23f
    Reviewed-on: https://code.wireshark.org/review/28193
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e8563d98a1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 9 19:42:32 2018 -0700

    If device->active_dlt = -1, show "Unknown" rather than "DLT -1".
    
    It means we don't know the active link-layer header type - probably
    because the device can't be opened, so we can't get the default linktype
    or the list of available linktypes - so show it as "Unknown".
    
    Bug: 14847
    Change-Id: I5a1ad360d2ae461e8db57e387679700a566b0949
    Reviewed-on: https://code.wireshark.org/review/28185
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3c9c2c65341bae5a7b983af2a572b8a9a99b543c)
    Reviewed-on: https://code.wireshark.org/review/28188

commit 8b755633ef
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 9 18:55:54 2018 -0700

    Fix previous backport.
    
    Change-Id: I2c5cea4e46aeeb1a5827f056d300eea11454468c
    Reviewed-on: https://code.wireshark.org/review/28183
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit acc87e0cb554f3fad960007a3965755b777f7e34)
    Reviewed-on: https://code.wireshark.org/review/28184

commit 3b77c0a596
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 9 18:11:52 2018 -0700

    Do bounds checking of the offset and length in proto_tree_add_string().
    
    Throw an exception if they don't correspond to data available in the
    packet - and do so even if the protocol tree argument is null, so that
    we catch very long strings that could cause the offset to overflow.
    
    Ask why we try to handle a null pointer passed as the string argument,
    while we're at it.
    
    Bug: 14738
    Change-Id: I2fa79ad0dcd1f41608844a573e045197ac60aa62
    Reviewed-on: https://code.wireshark.org/review/28179
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0fbb5f84d00426040bd37dd89d74e2ecda5b598e)
    Reviewed-on: https://code.wireshark.org/review/28182

commit f575f08c59
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 9 15:49:48 2018 -0700

    Use FT_NONE, not FT_STRINGZ, for the field that covers the packet.
    
    They're collections of binary data divided into subfields, not
    null-terminated strings, so give them the right type.
    
    Change-Id: If2685b9b41ca6711e12de6688ae51d5211767770
    Reviewed-on: https://code.wireshark.org/review/28175
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 33eb5e73ddd61b27621eb1e821c7864d95f2cbc9)
    Reviewed-on: https://code.wireshark.org/review/28178

commit 82b4b09477
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 9 10:51:26 2018 -0700

    Fix handling of text headers with non-text values.
    
    Determine the length of non-text values in the standard fashion for WSP,
    and treat the value as having that length, rather than running to the
    end of the packet.
    
    Change-Id: If3501cf726df4d8338e86515906f67790a773b02
    Reviewed-on: https://code.wireshark.org/review/28167
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 8c73874ef070874b5220af6e8400e09505b1a79d)
    Reviewed-on: https://code.wireshark.org/review/28170

commit 5308ae3bfb
Author: Lorand Jakab <ljakab@ac.upc.edu>
Date:   Fri Jun 8 14:08:46 2018 +0200

    LISP: Decode AFNUM_802 as AFNUM_EUI48
    
    Some LISP implementations use the AFI value 6 (RFC 1700) for MAC
    addresses instead of AFI value 16389 (RFC 7042). This patch allows
    correct decoding of both.
    
    Change-Id: I12c3d6b90fd8a85911f76dec5448e6a2e237e797
    Signed-off-by: Lorand Jakab <ljakab@ac.upc.edu>
    Reviewed-on: https://code.wireshark.org/review/28115
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit bd2c4deb724022163000d6fc736480b7c0198ac0)
    Reviewed-on: https://code.wireshark.org/review/28121

commit 6b2103f32c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 8 16:15:55 2018 -0700

    Make the string representation of the frame bitmap cover the frame bitmap.
    
    Make it begin where the frame bitmap begins, and end where the frame
    bitmap ends, rather than pretending it begins where the frame bitmap
    *ends* and is as many bytes long as the generated string is.
    
    Change-Id: Id62ba067116e3191646af764d3ae846474ac29c8
    Reviewed-on: https://code.wireshark.org/review/28160
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 89540b9cba201855385fd90d1bffec270bf74ce9)
    Reviewed-on: https://code.wireshark.org/review/28163

commit 5df214074c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 19:38:07 2017 +0100

    dumpcap: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I46bf9ae4150d9bd7efe5387919091ac49143232d
    Reviewed-on: https://code.wireshark.org/review/20414
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 70e04f3f4c1a290ce8834bb7f9773d4f644db5e8)
    Reviewed-on: https://code.wireshark.org/review/28159
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5ebf2c96e4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 11 16:33:58 2017 +0100

    tap-iostat (cli): fix this statement may fall through [-Werror=implicit-fallthrough] found by gcc7
    
    Change-Id: Idd8f4e2175d6575beecaccf2ee018457a25fd225
    Reviewed-on: https://code.wireshark.org/review/20493
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 39fd595b34773355c00f9996006457b294b58601)
    Reviewed-on: https://code.wireshark.org/review/28157
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 25063060af
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 13 17:15:50 2017 +0200

    GTK: add a comment better suiting GCC 7 parsing
    
    Change-Id: Iab1eb1b86a750f3dedce6b2bd467fb3ba98243df
    Reviewed-on: https://code.wireshark.org/review/22613
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit a0271d64e508046c43db9de3216460077d2cc5bb)
    Reviewed-on: https://code.wireshark.org/review/28156
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d7bfb2bec3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 12 11:18:21 2017 +0200

    GTK: fix compilation with GCC 7
    
    Change-Id: Ifde706f4705af406fd4eee61a312d8eb0976d972
    Reviewed-on: https://code.wireshark.org/review/22598
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit a591436d73517e07f60e2090042c93c42e233441)
    Reviewed-on: https://code.wireshark.org/review/28155
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 59a51acae0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 8 23:05:14 2017 +0100

    io_graph_item: fix false positive array subscript is above array bounds [-Werror=array-bounds]
    
    Change-Id: I14fc19f131782a9c85104ca2189b9452079d0013
    Reviewed-on: https://code.wireshark.org/review/20454
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 9e0251f2187388ce03b4afde91df2528e313afd8)
    Reviewed-on: https://code.wireshark.org/review/28154
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9639368f5e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 11 16:38:46 2017 +0100

    unistim (plugin): fix this statement may fall through [-Werror=implicit-fallthrough] found by gcc7
    
    Change-Id: Id928c9f4506b3f88016d77e3e79a4ecf78d52e93
    Reviewed-on: https://code.wireshark.org/review/20494
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ecd598ae69147b613a3ad8bcd3bb764d88b0e03d)
    Reviewed-on: https://code.wireshark.org/review/28153
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 194d0d2bf2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 8 14:05:01 2018 -0700

    The string part of a NULL string is zero bytes long, not 4 bytes long.
    
    There aren't 4 bytes of 'N', 'U', 'L', and 'L' in the packet, so the
    length is *not* 4 bytes.
    
    Change-Id: I81331ef3f307dc65458da37e7d46e299eb7e727a
    Reviewed-on: https://code.wireshark.org/review/28149
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 09a7e8e863ac8a3b80a7a016b9943f815fc92367)
    Reviewed-on: https://code.wireshark.org/review/28152

commit 768544f4bd
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 11 16:41:00 2017 +0100

    stats_tree: fix this statement may fall through [-Werror=implicit-fallthrough] found by gcc7
    
    Change-Id: Idd5ab938b95d515cdf8b2a8568456f44b3dd85ac
    Reviewed-on: https://code.wireshark.org/review/20496
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 02ea90f3ccf2a349c2569308f2c98ef159c0b466)
    Reviewed-on: https://code.wireshark.org/review/28148
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a84214ec25
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Mar 11 16:40:33 2017 +0100

    oids: fix this statement may fall through [-Werror=implicit-fallthrough] found by gcc7
    
    Change-Id: I8f84414be693ea8ebcfef003480e9ee05de94ea0
    Reviewed-on: https://code.wireshark.org/review/20495
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 77aa6744ca2babddd21df74887d5bac1b6b87680)
    Reviewed-on: https://code.wireshark.org/review/28147
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e22786a2f6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:56:35 2017 +0100

    vrrp: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I45748459e4024d918ef9b146e8a62f54e2d91b65
    Reviewed-on: https://code.wireshark.org/review/20413
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 579a86f5589e8c577d62052cc05ca91e4242dde0)
    Reviewed-on: https://code.wireshark.org/review/28146
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5f45a2882f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:54:22 2017 +0100

    ubertooth: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: Iec4253ad488f51169ce4cc295b5f084ba4aa4122
    Reviewed-on: https://code.wireshark.org/review/20412
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.tomasz.labedzki@gmail.com>
    (cherry picked from commit 2b06c17592e792224779355c2e47d776ba2f9af6)
    Reviewed-on: https://code.wireshark.org/review/28145
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7698b9357e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:31:59 2017 +0100

    rtpproxy: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: Ide19cb51d5ce0a9d0a0634ad492c9e81cbc2c810
    Reviewed-on: https://code.wireshark.org/review/20411
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Lemenkov <lemenkov@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 5dcd11261290d2e4592038c085a04bcd3d6d70ed)
    Reviewed-on: https://code.wireshark.org/review/28144
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 554875866a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:28:37 2017 +0100

    rsvp: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I6e9d15ef9306433b982d6aff670c38ca8a0b4e85
    Reviewed-on: https://code.wireshark.org/review/20410
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 8b017dc919ae9c2dfcb095cdae4c31513a522e5a)
    Reviewed-on: https://code.wireshark.org/review/28143
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ab374025c2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:22:37 2017 +0100

    opa: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I1edb5a3f7c9ac94c2a922058ca54d4b3e9218b0e
    Reviewed-on: https://code.wireshark.org/review/20408
    Reviewed-by: Adam Goldman <adam.goldman@intel.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit d87a54c5a33290404183b12925550868b0063d1e)
    Reviewed-on: https://code.wireshark.org/review/28142
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d115782ba0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:15:51 2017 +0100

    nstrace: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Conflicts:
            epan/dissectors/packet-nstrace.c
    
    Change-Id: I1943798d8dc7449e962856fef6286b9d74be0d34
    Reviewed-on: https://code.wireshark.org/review/20407
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 5e507ca47b8628b35fc4462f793e620868b30a45)
    Reviewed-on: https://code.wireshark.org/review/28141
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cd7eac6c75
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 17:13:33 2017 +0100

    nasdap-itch: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I1a0038219271c9346c0c66738b75ab087b78be82
    Reviewed-on: https://code.wireshark.org/review/20406
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 53cc59270888f16f264f16bfc93f0be44eb0d12d)
    Reviewed-on: https://code.wireshark.org/review/28140
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 81161ddd02
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:35:02 2017 +0100

    ieee80211: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I294e0f426d760d0ccb59ebd8ea509245af1293a5
    Reviewed-on: https://code.wireshark.org/review/20405
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit bd9b2b7eac963ca6320b82b26b223ebf8b9d450b)
    Reviewed-on: https://code.wireshark.org/review/28139
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 72d780dc18
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:32:19 2017 +0100

    enip: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I134262482c259a9f30bfeec7bf28441d0d37d499
    Reviewed-on: https://code.wireshark.org/review/20404
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a9c2a9782340fafb3fdc8f4c0f056d797f7f191f)
    Reviewed-on: https://code.wireshark.org/review/28137
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6b7cd3c029
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:31:22 2017 +0100

    erf: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I377a62a2702b89242a0abfb51f5617f265f698f3
    Reviewed-on: https://code.wireshark.org/review/20403
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 89ea1ade0315dad5291f9fb5f54d267bcdbe8c4e)
    Reviewed-on: https://code.wireshark.org/review/28138
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 04ef7f1c1f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:27:13 2017 +0100

    gsm_a_bssmap: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: Ic45f7e7bbeb73e0a222d4837694bb781157ae042
    Reviewed-on: https://code.wireshark.org/review/20402
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 232dbe6c4242ce37849d1781d3d28eccbc73e914)
    Reviewed-on: https://code.wireshark.org/review/28136
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2f579da83b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:21:44 2017 +0100

    csn1: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I11b943736a4f0835e8432db95b7d471244b08a16
    Reviewed-on: https://code.wireshark.org/review/20401
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit fd68c7dfc7d06ce7babe914f2575d9e4f35988ad)
    Reviewed-on: https://code.wireshark.org/review/28135
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 28a55ca0cb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:20:15 2017 +0100

    bluetooth: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I4d8e6f32b08991f49ee22b320f02c1f65e22b6a0
    Reviewed-on: https://code.wireshark.org/review/20400
    Reviewed-by: Michal Labedzki <michal.tomasz.labedzki@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 576043944b54df469d00e929e48256697075d9b1)
    Reviewed-on: https://code.wireshark.org/review/28134
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e80a9f4a8f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 16:13:45 2017 +0100

    BGP: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I7cb6f73efb1e37eba977dc6912041d5969989696
    Reviewed-on: https://code.wireshark.org/review/20399
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 43f2177d7c4b50a5bbc66b41f8ae620f94dfb6de)
    Reviewed-on: https://code.wireshark.org/review/28133
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 88f7244585
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 8 20:32:49 2018 +0000

    BACapp: Add FALLTHROUGH comments.
    
    Fixes
    
    error: this statement may fall through [-Werror=implicit-fallthrough=]
    
    in newer GCC versions.
    
    Change-Id: Ie31274b692464c3373b90108787dcb04356dd957
    Reviewed-on: https://code.wireshark.org/review/28132
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f3d0cbe935
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Mar 5 19:38:59 2017 +0100

    dissectors: fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: Iba6238988ded675cba328ab512232d1919d93b4a
    Reviewed-on: https://code.wireshark.org/review/20415
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit c1e6724cf6938de24ddfbcb0227aad5822a80c2d)
    Reviewed-on: https://code.wireshark.org/review/28131
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 28cb82741a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 27 21:10:33 2017 +0100

    wiretap (nettl/pppdump): fix this statement may fall through [-Werror=implicit-fallthrough=] found by gcc7
    
    Change-Id: I8c339e7484d410460d499dd2923641630b482ebe
    Reviewed-on: https://code.wireshark.org/review/20303
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 841531bc85629023c9f3fb73d8af609e3cd32109)
    Reviewed-on: https://code.wireshark.org/review/28129
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a9fa883f78
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 8 14:32:18 2018 +0200

    BT Common: fix dissection of 32 bits and 128 bits UUID
    
    They are in little endian, not big endian.
    
    Bug: 14843
    Change-Id: I1680e84bfce9a03eaeeda9e38c84b471fda2bd8e
    Reviewed-on: https://code.wireshark.org/review/28116
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit ee88dc8196d248ba88e0d8fa6c380d144d9a9b6a)
    Conflicts:
            epan/dissectors/packet-bthci_cmd.c
    Reviewed-on: https://code.wireshark.org/review/28125
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit dc7aa7db7fa4a224e9a0e6d0576ed7a2ed429ea8)
    Reviewed-on: https://code.wireshark.org/review/28126

commit 2d91563064
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 6 17:16:34 2018 -0700

    Debian: GNUTLS updates.
    
    Try to make our libgnutls28-dev / libgnutls-dev dependency work across
    different OS versions.
    
    Change-Id: I9f3b9d29a0c643fb6c6d93ef82e1205e7312507c
    Reviewed-on: https://code.wireshark.org/review/28077
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 78d5103e448d990db67a7962ce2acc763faba32e)
    Reviewed-on: https://code.wireshark.org/review/28128

commit 114671a772
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 7 22:04:32 2018 -0700

    Fix again.
    
    Change-Id: I054df4458c7ef9f6e108c9d9a5f29e2546c28041
    Reviewed-on: https://code.wireshark.org/review/28101
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e020ccab499432d620e267db498d13f147ec136d)
    Reviewed-on: https://code.wireshark.org/review/28104

commit 80ffb3b50c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 7 22:02:24 2018 -0700

    Fix indentation.
    
    Change-Id: Ib89cc2b7f416422868fb6f7c2f8f7bc1f9b347bf
    Reviewed-on: https://code.wireshark.org/review/28097
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 36c79feda803f8eef025460b2e9a19cf4decdeb3)
    Reviewed-on: https://code.wireshark.org/review/28100

commit b39088bcf1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 7 21:58:34 2018 -0700

    Use proto_tree_add_expert{_format}() to report errors.
    
    Don't create fake string items.
    
    Have the item cover the part of the packet that has the issue, e.g. if
    there's an unexpected identifier, or an invalid length, cover that
    rather than the value; that 1) shows where the problem is and 2) avoids
    throwing an exception.
    
    Clean up the error messages and expert info items while we're at it.
    
    Change-Id: If698db98158f7a5532a865be02f1028d92af262f
    Reviewed-on: https://code.wireshark.org/review/28093
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0a9e92d585a3b8a42aff8ad968710ea1d6a4e7ff)
    Reviewed-on: https://code.wireshark.org/review/28096

commit 08c37d1841
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed Jun 6 23:45:23 2018 +0200

    MTP3: Have prototype parameter names match the implementation
    
    Parameter names are diffferent (in name and order) in the prototype
    found in the header file than in the implementation. Let these match.
    
    Change-Id: I170d1d96631b1edbe613933663f746edb8c2e1fd
    Signed-off-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-on: https://code.wireshark.org/review/28075
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 56a33b8093d03e207fbf971f0fb5b6d4801ef90c)
    Reviewed-on: https://code.wireshark.org/review/28080

commit c76475904c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 6 12:29:59 2018 -0700

    Add COMMON_ARGS to the "Command and args" message.
    
    Change-Id: I286b7727a7b92ecbc913f55b8e77a505df4a7d5e
    Reviewed-on: https://code.wireshark.org/review/28069
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c99e9d6aa46ae90af30ddbaa2b36ee493d2f86c3)
    Reviewed-on: https://code.wireshark.org/review/28072

commit c42f6b463b
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Mon Jun 4 14:52:26 2018 +0200

    Correctly handle the PPI GPS timestamp fraction
    
    The timestamp and timestamp fraction are processed in one step,
    since this creates a proper timestamp interpretation. There are
    two fixes to this code to deal with erroneous packets.
    One is that when taking into account the timestamp fragment the
    available data must be 8 bytes in total, not just 4.
    The other is that when the mask indicates that there's only a
    timestamp fraction, nothing was shown.
    
    Change-Id: I4a0a65229f322ad56673a26ff6b3e769e994062d
    Signed-off-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-on: https://code.wireshark.org/review/28007
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 447ffdf042e0eebf87ea9d33a9823e6d24345a0e)
    Reviewed-on: https://code.wireshark.org/review/28054

commit e800b70386
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 6 09:22:45 2018 -0700

    Make sure proto_tree_add_expert items are always added to the tree.
    
    Make sure that proto_tree_add_text_internal() and
    proto_tree_add_text_valist_internal() don't throw an exception, so the
    indication always appears in the tree to indicate the issue.  Do the
    "do the bytes exist" check *after* we've added all of the expert info to
    the protocol tree, so we still throw the appropriate exception.
    
    Change-Id: I4e0d2dcc48f9c8f4482550ae16284b9e021232cd
    Reviewed-on: https://code.wireshark.org/review/28062
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f2dada066344924b754ea30569c05adce0c4e9dc)
    Reviewed-on: https://code.wireshark.org/review/28065

commit 5c61269147
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed Jun 6 14:16:47 2018 +0200

    IEEE80211: packet_info needed for expert info.
    
    An expert info was added to dissect_fast_bss_transition without
    adding a packet_info pointer to the function. This changes adds it,
    fixing the build.
    
    Change-Id: Id25371c28f403c3309f2e17b5fa786cfe486d066
    Signed-off-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-on: https://code.wireshark.org/review/28061
    Tested-by: Petri Dish Buildbot

commit c780c3e7c8
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 6 10:36:29 2018 +0200

    3GPP NAS: fix dissection of Linked TI IE
    
    Change-Id: Idb5713e8ab9ef7c33110380516261f0202b8b599
    Reviewed-on: https://code.wireshark.org/review/28047
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit d10f0a62b20fb629e5ea7c204d86267baa90265a)
    Reviewed-on: https://code.wireshark.org/review/28050

commit d91aea18f5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 5 10:32:46 2018 +0200

    SYNC: fix decoding of PDU type 3 format
    
    Bug: 14823
    Change-Id: I143c57d9d81ff8510d60b8a0d9f2daea78c33e0b
    Reviewed-on: https://code.wireshark.org/review/28032
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit ecc9b011c5c0a1c5b7b9efdadafe2d41794c4036)
    Reviewed-on: https://code.wireshark.org/review/28036

commit 4bf6faf5b6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 4 20:37:56 2018 -0700

    Don't use FT_STRING fields for non-strings.
    
    If you're reporting an error, use an expert info item.
    
    If you're putting a structure into the protocol tree, use FT_NONE for
    the structure as a whole.
    
    (In 2.2, we're not doing all of them; in later releases, a significant
    restructuring was done, which eliminated many of them.)
    Change-Id: Ie89b552576b15195acb0a9108d33430115d99f00
    Reviewed-on: https://code.wireshark.org/review/28024
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 8e7396edb4b4ac9580cdddb4feb0903da071905f)
    Reviewed-on: https://code.wireshark.org/review/28027

commit 8138e87267
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 4 09:09:31 2018 -0700

    Remove debugging hacks for bug 14738.
    
    The problem *is* reproducible, but you have to run TShark without -V;
    change I54e4450029ac56b9ac3d6eff9baf8acc849a5e4c fixed the fuzzer so
    that it'll report the command-line arguments used in the test that
    failed.
    
    Change-Id: I3e1fd5a5674cb9d73e02b3ad078d7477c2434ed0
    Reviewed-on: https://code.wireshark.org/review/28014
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ea54fc6c3308877a2ecb6e3d6857f50b5dc84e3d)
    Reviewed-on: https://code.wireshark.org/review/28015

commit 431683ac74
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 4 01:21:33 2018 -0700

    Send the "Command and args:" message to the right output file.
    
    Send it to same output file that gets the output ofthetest command, so
    that it shows upin the output.
    
    (I spent entirely too much time trying to figure out why 14738 was
    happening on the buildbot but not on my machine - it turns out that the
    test where it was failing was the one where -V *wasn't* specified, so
    the protocol tree *wasn't* being generated, so proto_tree_add_string()
    *wasn't* doing some tests that should have thrown an exception.  The
    output didn't make it clear that the test that was failing was the one
    where the arguments to tshark were -nr, not -nVxr.)
    
    Change-Id: I54e4450029ac56b9ac3d6eff9baf8acc849a5e4c
    Reviewed-on: https://code.wireshark.org/review/28003
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4af23446b697602e51831ca7fce59a9c9d284003)
    Reviewed-on: https://code.wireshark.org/review/28006

commit 151a3ee8c2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 3 17:32:57 2018 -0700

    More debugging for bug 14738.
    
    It *should* be throwing an exception when we add a string with a huge
    length, and it *does* throw an exception on my machine, but it doesn't
    appear to be doing so on the buildbot.  Try to see why that might be.
    
    Change-Id: Icaf4fc08421d3ceae9aca777282082d198e185cf
    Reviewed-on: https://code.wireshark.org/review/27999
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 94390dcb3a4b62a0ba595aa3e92edb31b83de4c2)
    Reviewed-on: https://code.wireshark.org/review/28000

commit 25460a68e5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 3 10:13:20 2018 -0700

    Fix handling of guintvars.
    
    1) A value that fits in a 32-bit unsigned integer may take more than 4
    octets - the uppermost bit of the octet is a "more octets follows" flag,
    so 4 octets contain only 7*4 - 28 bits of value, so a fifth octet
    preceding that with the upper 3 bits zero could result in a value that
    fits in 32 bits, and further octets of 0x80 just add further leading
    zeroes.
    
    We should, instead, check for *overflow*, meaning that if we add more
    bits at the bottom, the result is *less* than the previous value.
    
    2) When the result overflows, we should clamp it a UINT_MAX, rather than
    setting it to zero, and should keep accumulating octets, so that we
    return the correct octet count.  That prevents infinite loops where the
    item's length, and the item itself, are considered zero-length.
    
    This should fix bug 14738.
    
    Bug: 14738
    Change-Id: I1d1b60e22f169959c1573b1fcb7e010e027b5132
    Reviewed-on: https://code.wireshark.org/review/27986
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5c51008ef0898adae9ce12283e34b29a9c406c9f)
    Reviewed-on: https://code.wireshark.org/review/27998

commit fd137f10e1
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Mar 3 16:22:33 2018 +0100

    clean up tvb_get_guintvar() a bit more
    
    Wrap long lines.
    
    Use a do-while loop. We know up-front that we'll go into the loop at
    least once. Remove the cont variable, use the exit condition directly.
    
    Set *octetCount = 0 if we return 0 because of an error. In that case, we
    did not process any bytes and should inform the caller about this.
    
    Change-Id: I222270939e42e0096b6f5a25b197bd4bae12235e
    Reviewed-on: https://code.wireshark.org/review/26245
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 4630b4fcf835b91d043ad12818d666c7321e28a4)
    Reviewed-on: https://code.wireshark.org/review/27997
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ae392a7212
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Mar 3 16:04:46 2018 +0100

    wap: include stdio.h
    
    Otherwise, fprintf() is not defined and the debug prints don't work.
    
    Change-Id: I9bc791dfc829cf9e7b1b6e61b0090d2fb94bebb2
    Reviewed-on: https://code.wireshark.org/review/26244
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 59af408e9ead20d96fb2991a7c629534939475d0)
    Reviewed-on: https://code.wireshark.org/review/27996
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 43e0a2f8c5
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Mar 3 16:02:14 2018 +0100

    tvb_get_guintvar: correct a debug print
    
    We always start with counter=0, guint *octetCount is used only as a
    return value.
    
    Change-Id: I3c080c59ef7620c5007f6dc3139a78a72cff2a21
    Reviewed-on: https://code.wireshark.org/review/26243
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 41f18ae7f5c13d55ada84e3895f0cb656043e826)
    Reviewed-on: https://code.wireshark.org/review/27995
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8937fe0228
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Mar 3 15:25:56 2018 +0100

    tvb_get_guintvar: don't overflow our return value
    
    tvb_get_guintvar() returns a guint. If we haven't seen the final byte
    after sizeof(guint) bytes, something is wrong. Abort and return 0.
    
    This is the minimum fix for
    
    Bug: 14473
    
    Change-Id: Ibe8a1239c1cbbeec0591c66710416bb56f9f60dc
    Reviewed-on: https://code.wireshark.org/review/26242
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b475758123fde5fae476cd275958ac16d8eac7bd)
    Reviewed-on: https://code.wireshark.org/review/27994
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 284a0c26be
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 3 08:40:25 2018 +0000

    [Automatic update for 2018-06-03]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: If2a74fa0be12a54f3fc52ebf4bd69db7eab0d803
    Reviewed-on: https://code.wireshark.org/review/27980
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 23102775ab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 2 20:04:07 2018 -0700

    Give details for all cases where the offset overflows.
    
    It *does* appear to be overflowing, but it's not obvious how that would
    happen...
    
    ...unless tvb_find_guint8(), called from tvb_strsize(), somehow doesn't
    stop at the end of the tvbuff, keeps scanning until it finally finds a
    '\0', and that somehow causes a problem.
    
    Change-Id: If292786904e7ab6e3db483cd4084fd4264f20b58
    Reviewed-on: https://code.wireshark.org/review/27974
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9ea8145e80ecca952890f353a0c658fb028c2aa8)
    Reviewed-on: https://code.wireshark.org/review/27975

commit b5c0c1d6a0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 2 16:23:34 2018 -0700

    Print the dissector bug message if WIRESHARK_ABORT_ON_DISSECTOR_BUG is set.
    
    That way, if you *don't* get a core dump, or don't have access to the
    core dump, there's at least *something* printed.
    
    Change-Id: Ic6bebaf1c60cea1a23b35c8dd984d32012962188
    Reviewed-on: https://code.wireshark.org/review/27972
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 74b196191b6111a68cb3be43d056fd6e4109f19d)
    Reviewed-on: https://code.wireshark.org/review/27973

commit 35ff244ffb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 2 15:10:57 2018 -0700

    Name update.
    
    With the name change from Ethereal to Wireshark, asn2eth was renamed
    asn2wrs.
    
    Change-Id: I5bdfa2362ca7de81b0bda6ec9faa78cdb0ba10b4
    Reviewed-on: https://code.wireshark.org/review/27968
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 2f9c61f03f7cd2186bacba827cad489ffeedf663)
    Reviewed-on: https://code.wireshark.org/review/27971

commit 9402f2f80c
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 15 16:34:35 2018 +0200

    ber: clamp BER lengths to avoid integer overflow
    
    Many callers treat the length as signed integer, so ensure that the
    length fits in such a number. Failure to do so can have unintended
    consequences (such as calling "tvb_memdup(tvb, 0, -1)" and assuming that
    the length is actually 2^32-1).
    
    Although an exception could be thrown as well, let's give the caller a
    chance to handle this themselves.
    
    Change-Id: If92545f7d3603250f75741040435000ba879b7e3
    Ping-Bug: 14682
    Reviewed-on: https://code.wireshark.org/review/27563
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 67c642047362b5e2546259dd012622ff3dd6c9d9)
    Reviewed-on: https://code.wireshark.org/review/27967
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 723abd3940
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 15 16:31:40 2018 +0200

    ber: fix buffer overrun (read) in dissect_ber_constrained_bitstring
    
    The length is an unsigned integer, but some users (such as tvb_memdup)
    expect signed integers and treat negative values specially.
    
    Bug: 14682
    Change-Id: Ic3330d23d964b5cc44718b61c8985880f901674d
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=8011
    Reviewed-on: https://code.wireshark.org/review/27562
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit df5a8b29bbb046933b73e9e369b9bc9e4b03aaa8)
    Reviewed-on: https://code.wireshark.org/review/27964
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 418d0c912b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 2 12:22:02 2018 -0700

    And removing the DISSECTOR_ASSERT() checks brought bug 14738 back.
    
    Un-remove them, *and* try to force a TShark abort if the check fails, to
    see if that forces a failure with an error message indicating which
    check failed.
    
    Change-Id: I9642dff0b90ee0a56163c55e092722f3b9b5bd13
    Reviewed-on: https://code.wireshark.org/review/27959
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 8f1afb13a829620c9fb3ba59342786bc1bd1d0b1)
    Reviewed-on: https://code.wireshark.org/review/27960

commit 17953b3235
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 1 15:58:12 2018 -0700

    That change appeared to have "fixed" bug 14738.
    
    No-op out the DISSECTOR_ASSERT calls, and see what happens next.
    
    Change-Id: I77314dbb4f269fef27b54c0fc251a9c60f9bd502
    Ping-Bug: 14738
    Reviewed-on: https://code.wireshark.org/review/27950
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 19d28de18bd887aa6fdc46391d1187f8fb0fa9c4)
    Reviewed-on: https://code.wireshark.org/review/27951

commit 9a5370e7a9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 31 18:04:10 2018 -0700

    Debugging for bug 14738.
    
    In the loop that adds fields, make sure that the packet offset never
    stays the same or goes backwards.
    
    Change-Id: I2645a85856d4d31ed91d5e779b025cbfe24c6b5a
    Ping-Bug: 14738
    Reviewed-on: https://code.wireshark.org/review/27938
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4d676afbb73a69e908bc3a15512201c10d09aa8f)
    Reviewed-on: https://code.wireshark.org/review/27939

commit 614d5235ef
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 31 10:22:49 2018 -0700

    Don't check the CRC if the message isn't big enough to have a CRC.
    
    We should really do a better length check.  This also suggests that we
    might be going past the length if it's too short - should we create a
    new tvbuff, with tvb_subset_length(), and dissect based on that?
    
    Bug: 14780
    Change-Id: Iaaab529f34b0168ad74c7b4f3e1b4255504c1b57
    Reviewed-on: https://code.wireshark.org/review/27930
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 00f51fef21288100ee5b47aa51610533966de35a)
    Reviewed-on: https://code.wireshark.org/review/27933

commit 4f7153685b
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 15 13:08:49 2018 +0200

    ISMP: fix tuple decoding
    
    EDP_TUPLE_HOLD dissection was broken due to a length parameter mixup in
    v1.99.1rc0-224-g6720c80bab. The TLV length calculation was changed in
    commit ed5453d892, but the only pcap I could find for which it made a
    difference includes the TL lengths in the length field.
    
    Since commit 067a076179, the IPXNET type was wrongly decoded, fixed now.
    Check IPX address length to avoid a buffer overrun (read) in
    get_ether_name by at most 5 bytes.
    
    Bug: 4943
    Bug: 14672
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=6451
    Change-Id: Ia99ab15578ecae6d5a3ec22989507d64f9926933
    Reviewed-on: https://code.wireshark.org/review/27554
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e67283ddca70a7652b7dd41ef8883ee3278501d0)
    Reviewed-on: https://code.wireshark.org/review/27925
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 672d882a53
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 15 16:08:04 2018 +0200

    tvbuff_zlib: reject negative lengths to avoid buffer overrun
    
    Negative lengths and empty buffers are not uncompressable, reject them.
    A buffer overrun (read) could occur otherwise due to unsigned "avail_in"
    becoming insanely large.
    
    Bug: 14675
    Change-Id: I20b686cc6ad6ef8a8d1975ed3d2f52c8eb1f1c76
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=7166
    Reviewed-on: https://code.wireshark.org/review/27561
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9ee790e99c72ddb5b599b8076b4ecf74611b184e)
    Reviewed-on: https://code.wireshark.org/review/27901
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 24c30307b8
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Mar 3 16:33:40 2018 +0100

    mmse: remove a ton of if (tree) checks
    
    Keep the "global" check where the entire processing was under if (tree).
    Move this check in front of the while loop and exit if we have no tree.
    
    Remove the subsequent (duplicate) checks for indivial
    proto_tre_add_...() calls.
    
    Change-Id: I6b978b438b9f1c84c8927ae4eb9c53a8eaadb4ef
    Reviewed-on: https://code.wireshark.org/review/26246
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b70eb189bb906d0b03ca95219a4c9c82eee43f97)
    Reviewed-on: https://code.wireshark.org/review/27887
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b0b41472cd
Author: Dario Lombardo <lomato@gmail.com>
Date:   Fri May 25 19:50:35 2018 +0200

    wsutil: fix compilation on freebsd.
    
    Change-Id: Iadb3f3daa1095ac9cc971f79ba4d288e8d835a44
    Reviewed-on: https://code.wireshark.org/review/27864
    Petri-Dish: Dario Lombardo <lomato@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit fab15cd64ff6d59b27883d8f5bd870f146545250)
    Reviewed-on: https://code.wireshark.org/review/27884

commit 047754f3a5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 28 11:37:20 2018 -0700

    Indicate *which* field would go past the MAX_TREE_ITEMS limit.
    
    That could help find the problem if all we have is the error message, as
    it'd at least indicate where the problem is occurring.
    
    Change-Id: I01154ff62088a4b710c131cb153e8e4593ebc3b2
    Reviewed-on: https://code.wireshark.org/review/27878
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 24394835935e3036545bb84306ef4d5f0d91bf93)
    Reviewed-on: https://code.wireshark.org/review/27881

commit 882b143fa8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 27 11:51:49 2018 +0200

    ICMPv6: fix malformed packet when there is Use Prefix Part Label (Router Renumbering)
    
    Bug: 14755
    Change-Id: Ie7edc6d7eeb74b968f1358d980bdb86f41ae85ec
    Reviewed-on: https://code.wireshark.org/review/27846
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e54c0477bc12b8b46c21b95660f421b71e9db1d0)
    Reviewed-on: https://code.wireshark.org/review/27858
    (cherry picked from commit 94941925064133b346d1c8285843d0a32a36d5de)
    Reviewed-on: https://code.wireshark.org/review/27869
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>

commit 2e716c32be
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 27 19:42:35 2018 -0700

    Make sure the offset doesn't overflow.
    
    It'd only overflow if the value is *so* large that it won't fit in the
    packet (given that we have a 2^32-1-byte limit on the packet size), so
    use tvb_ensure_bytes_exist() to ensure we have the entire value before
    processing the value.
    
    (The real problem is that we don't handle the case where there's a value
    multiplicity > 1 for some types; in those cases, we should loop,
    processing all the values, which would cause us to eventually throw an
    exception when we ran past the end of the packet.  This is just a quick
    fix.)
    
    Bug: 14742
    Change-Id: I447ece81d1c84d3b1d218faeb2c155f910208c29
    Reviewed-on: https://code.wireshark.org/review/27853
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 25118898a931589cfdea4693e056a02b7daecf10)
    Reviewed-on: https://code.wireshark.org/review/27856

commit db2d0d1bc1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 27 11:55:40 2018 -0700

    Fix incorrect formatting of NSAP area addresses/address prefixes.
    
    If the area address/address prefix is 13 octets long, use the 13th
    octet, not the 21st octet; the latter is *not* part of the area
    address/address prefix, and might either not be in the packet or might
    be some random other part of the packet.
    
    Add/expand comments while we're at it.
    
    Bug: 14744
    Change-Id: I7b90318a72a49b67d8ec17952add528185fd064b
    Reviewed-on: https://code.wireshark.org/review/27848
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 101b692569f17d14f7165446a8a2ae26415057cb)
    Reviewed-on: https://code.wireshark.org/review/27851

commit d205aec049
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 27 08:41:35 2018 +0000

    [Automatic update for 2018-05-27]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Ifb4f4ba88dd57e5dbcc989e25cd558b342932a84
    Reviewed-on: https://code.wireshark.org/review/27843
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 409a38613c
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Feb 11 20:17:39 2018 -0500

    RPKI-Router: Sanity check length field to prevent infinite loop
    
    Bug: 14414
    Change-Id: I39843e8959510a0efa1add51a16e207fc63f88b1
    Reviewed-on: https://code.wireshark.org/review/25742
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5e8391ff900db18ccf8663918919b16085406874)
    Reviewed-on: https://code.wireshark.org/review/27838
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c871b35054
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 26 13:23:43 2018 -0700

    Fix build error.
    
    Change-Id: I2ca073952bdfe926783cfc6a683b98d147cf66e5
    Reviewed-on: https://code.wireshark.org/review/27828
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 57765fd501
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 26 11:41:15 2018 -0700

    Fix whitespace.
    
    Change-Id: Id57ec188a872f7b937b80e4f284b710c09fa7de5
    Reviewed-on: https://code.wireshark.org/review/27826
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 52ceb07fea
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 26 10:53:03 2018 -0700

    Fix STUN-over-SSL/TLS/DTLS.
    
    Different dissectors are required for protocols running atop SSL/TLS and
    protocols running atop DTLS - SSL/TLS provides a byte-stream service, so
    there's no guarantee that there's a correspondence between SSL/TLS
    application data record boundaries and packet boundaries, but DTLS
    provides a datagram service, with packet boundaries corresponding to
    application data record boundaries.
    
    This is similar to the difference between dissectors for protocols
    running atop TCP and protocols running atop protocols such as UDP.
    
    So have two separate tables mapping Application-Layer Protocol
    Negotiation (ALPN) Protocol IDs to dissector names - one for SSL/TLS and
    one for DTLS.
    
    There are both "over a byte-stream protocol" and "over a packet-oriented
    protocol" dissectors for STUN and TURN ChannelData packets.  Register
    the "over a byte-stream protocol" ones by name, and use the appropriate
    ones in the appropriate tables.  (There is not one named "stun", so the
    STUN dissector wouldn't have been called at all.)
    
    Change-Id: I054e169f6ae3291abdc7eb58918ef65a17c90a63
    Reviewed-on: https://code.wireshark.org/review/27822
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 59b2ea5129bfa3046ee2ffc21a6f2564ecbf78f0)
    Reviewed-on: https://code.wireshark.org/review/27825

commit 8b103e347a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu May 24 11:51:20 2018 -0700

    AsciiDoc: Remove dashes from macro names.
    
    AsciiDoc allows dashes in macro names but not underscores. Current
    versions of AsciiDoctor allow the inverse. Remove dashes to allow for
    easier copying and pasting.
    
    Conflicts:
            docbook/release-notes.asciidoc
    
    Change-Id: I7b88d0a5c1eb241627dbf89118076157a5d2b66f
    (cherry picked from commit e09a1bf4372187da85d0bf5e4f1f00ae45a067d9)
    Reviewed-on: https://code.wireshark.org/review/27791
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 380bd9192f
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed May 23 19:33:37 2018 +0200

    Adjust type to fix 2.4 and 2.2 build.
    
    Change-Id: Iae8ceefee9d2c8e8330f9ad9cb5aeeb3ae80674f
    Signed-off-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-on: https://code.wireshark.org/review/27753
    Tested-by: Petri Dish Buildbot

commit e82eb6d05f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 20 01:44:15 2018 -0700

    Do IP address resolution synchronously before printing in TShark.
    
    Otherwise, the first N packets printed, for a value of N dependent on
    various factors, won't get IP addresses resolved to names, even if the
    user wants them resolved.  Unlike Wireshark, which, when a name is
    resolved in asynchronously, can go back and fix up the displayed packet
    when the asynchronous operation completes, once TShark has written
    packet data to the standard output, it can't go back and fix it if it
    did name resolution asynchronously.
    
    Bug: 14711
    Change-Id: I8ebbd83103e5780c903b5560e01b7b92fa39c924
    Reviewed-on: https://code.wireshark.org/review/27668
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0542c5b7009e4b6cd4e7760a504b16e30b6b3bf4)
    Reviewed-on: https://code.wireshark.org/review/27736

commit e401795233
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 22 20:42:28 2018 -0700

    Creat protocol tvbuff before allocating and freeing memory.
    
    That way, if the attempt to create the protocol tvbuff throws an
    exception, we won't leak the protocol representation string, as we won't
    even try to allocate it.
    
    Bug: 14719
    Change-Id: Id2855bc97e71aa0682737d1a04486a2a01f5f1e6
    Reviewed-on: https://code.wireshark.org/review/27730
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0f1f1d0ab827243d3e639ec1d00693e0d2edb883)
    Reviewed-on: https://code.wireshark.org/review/27733

commit 296d91b102
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue May 22 12:59:46 2018 -0700

    2.2.15 → 2.2.16.
    
    Change-Id: I8176bb9ae3646ffdab9752123a1ef620b988a3c7
    Reviewed-on: https://code.wireshark.org/review/27725
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
